cURL
curl --request GET \ --url https://api.extract.page/v1/batches/{batch_id} \ --header 'X-API-KEY: <api-key>'
{ "id": "<string>", "status": "<string>", "counts": { "pending": 0, "running": 0, "succeeded": 0, "failed": 0, "cancelled": 0 }, "total_items": 123, "engine": "<string>", "options": {}, "created_at": "<string>", "expires_at": "<string>", "items": [ { "id": "<string>", "batch_id": "<string>", "file_id": "<string>", "position": 123, "status": "<string>", "attempts": 123, "updated_at": "<string>", "object": "batch_item", "page_count": 123, "started_at": "<string>", "completed_at": "<string>", "result_url": "<string>", "error": {} } ], "object": "batch", "metadata": {}, "started_at": "<string>", "completed_at": "<string>", "next_cursor": "<string>" }
Documentation IndexFetch the complete documentation index at: https://docs.extract.page/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.extract.page/llms.txt
Use this file to discover all available pages before exploring further.
1 <= x <= 500
Successful Response
Show child attributes